colossalai
==========

.. toctree::
   :maxdepth: 2

   colossalai.constants
   colossalai.core
   colossalai.initialize


.. toctree::
   :maxdepth: 2

   colossalai.amp
   colossalai.builder
   colossalai.communication
   colossalai.context
   colossalai.engine
   colossalai.logging
   colossalai.nn
   colossalai.registry
   colossalai.trainer
   colossalai.utils
   colossalai.zero

.. automodule:: colossalai
   :members:
